Index: tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,179 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### duplicating box
+
+AT_SETUP([Domain - duplicating box])
+AT_KEYWORDS([domain repeat-box])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - duplicating box with Undo])
+AT_KEYWORDS([domain repeat-box undo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-undo.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Domain - duplicating box with Redo])
+AT_KEYWORDS([domain repeat-box redo])
+
+file=test.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-x.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o xyz -d 2 1 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-x.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-x.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-y.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 2 1 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-y.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-y.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=test-z.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file  -o xyz -d 1 1 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz;sort -n ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/test-z.xyz  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
+AT_CHECK([file=test-z.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
+
+file=ec.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo --no-dry-run --store-session session-domain-repeat-box.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-domain-repeat-box.py >session-domain-repeat-box_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-domain-repeat-box_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
